CircleCI Ideas

Add Support for Docker buildkit

If a user tries to use Docker buildkit, they get an error message:

 

buildkit not supported by daemon

 

According to the official docs (https://docs.docker.com/develop/develop-images/build_enhancements/), the requirements are:
 
  • Docker 18.09
  • docker-ce x86_64, ppc64le, s390x, aarch64, armhf; or docker-ee x86_64 only
  • Network connection required for downloading images of custom frontends
  • Avatar32.5fb70cce7410889e661286fd7f1897de Guest
  • May 26 2019
  • New
  • Attach files
  • Avatar40.8f183f721a2c86cd98fddbbe6dc46ec9
    Guest commented
    05 Aug 16:57

    It's supported in `setup_remote_docker` version `18.09.3`. See https://ideas.circleci.com/ideas/CCI-I-1003